| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- IsotopicDataBaseHandler

# MsXpS::libXpertMassCore::IsotopicDataBaseHandler Class

class MsXpS::libXpertMassCore::IsotopicDataBaseHandler

The IsotopicDataBaseHandler class features basic handling of IsotopicData. More...

Header: | `#include <MsXpS/libXpertMassCore/IsotopicDataBaseHandler.hpp>`
Inherited By: | MsXpS::libXpertMassCore::IsotopicDataLibraryHandler, MsXpS::libXpertMassCore::IsotopicDataManualConfigHandler, and MsXpS::libXpertMassCore::IsotopicDataUserConfigHandler

- List of all members, including inherited members
- IsotopicDataBaseHandler is part of Polymer chemistry building blocks.

## Public Functions

| IsotopicDataBaseHandler(const QString &file_name = QString())
| IsotopicDataBaseHandler(MsXpS::libXpertMassCore::IsotopicDataSPtr isotopic_data_sp, const QString &file_name = QString())
virtual | ~IsotopicDataBaseHandler()
QString | getFileName()
MsXpS::libXpertMassCore::IsotopicDataSPtr | getIsotopicData()
void | setFileName(const QString &file_name)

## Protected Variables

QString | m_fileName
MsXpS::libXpertMassCore::IsotopicDataSPtr | msp_isotopicData

## Detailed Description

The IsotopicDataBaseHandler class provides the skeleton for derived classes to handle IsotopicData.

There are different isotopic data handlers:

- The IsotopicDataLibraryHandler that handles isotopic data from the IsoSpec element data tables directly from the library's data. These are the reference, pristine unmodified isotopic data.
- The IsotopicDataUserConfigHandler that handles isotopic data with the exact same format of those from the IsoSpec element data tables. However, these data correspond to user-modified isotopic data, not the reference, pristine unmodified isotopic data.
- The IsotopicDataManualConfigHandler that handles user-defined data according to an entirely different format. These data are typically used when the user defines new chemical elements that cannot fit in the IsoSpec element data tables format.

See also IsotopicDataLibraryHandler, IsotopicDataUserConfigHandler, and IsotopicDataManualConfigHandler.

## Member Function Documentation

### IsotopicDataBaseHandler::IsotopicDataBaseHandler(const QString &file_name = QString())

Constructs the IsotopicDataBaseHandler with file_name.

The msp_isotopicData is initialized by creating an empty IsotopicData instance.

### IsotopicDataBaseHandler::IsotopicDataBaseHandler(MsXpS::libXpertMassCore::IsotopicDataSPtr isotopic_data_sp, const QString &file_name = QString())

Constructs the IsotopicDataBaseHandler.

isotopic_data_sp Isotopic data

file_name File name

### `[virtual noexcept]` IsotopicDataBaseHandler::~IsotopicDataBaseHandler()

Destructs the IsotopicDataBaseHandler.

### QString IsotopicDataBaseHandler::getFileName()

Returns the file name

### MsXpS::libXpertMassCore::IsotopicDataSPtr IsotopicDataBaseHandler::getIsotopicData()

Returns the IsotopicData

### void IsotopicDataBaseHandler::setFileName(const QString &file_name)

Sets the file name to file_name

## Member Variable Documentation

### QString IsotopicDataBaseHandler::m_fileName

This variable holds the m_fileName is the filename in which to store the IsotopicData for from with to load the IsotopicData.

### MsXpS::libXpertMassCore::IsotopicDataSPtr IsotopicDataBaseHandler::msp_isotopicData

This variable holds the msp_isotopicData is a pointer to IsotopicData.